LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_RTC_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_RTC_T Struct Reference
CHIP: LPC18xx/43xx Real Time Clock driver

## Detailed Description

Real Time Clock register block structure.

Definition at line 76 of file rtc_18xx_43xx.h.

`#include "rtc_18xx_43xx.h"`

## Data Fields
__IO uint32_t | ILR
__I uint32_t | RESERVED0
__IO uint32_t | CCR
__IO uint32_t | CIIR
__IO uint32_t | AMR
__I uint32_t | CTIME [3]
__IO uint32_t | TIME [RTC_TIMETYPE_LAST]
__IO uint32_t | CALIBRATION
__I uint32_t | RESERVED1 [7]
__IO uint32_t | ALRM [RTC_TIMETYPE_LAST]
__IO uint32_t | ERSTATUS
__IO uint32_t | ERCONTROL
__I uint32_t | ERCOUNTERS
__I uint32_t | RESERVED2
__I uint32_t | ERFIRSTSTAMP [RTC_EV_CHANNEL_NUM]
__I uint32_t | RESERVED3
__I uint32_t | ERLASTSTAMP [RTC_EV_CHANNEL_NUM]

## Field Documentation

__IO uint32_t ALRM[RTC_TIMETYPE_LAST]

Alarm field registers

Definition at line 86 of file rtc_18xx_43xx.h.

__IO uint32_t AMR

Alarm Mask Register

Definition at line 81 of file rtc_18xx_43xx.h.

__IO uint32_t CALIBRATION

Calibration Value Register

Definition at line 84 of file rtc_18xx_43xx.h.

__IO uint32_t CCR

Clock Control Register

Definition at line 79 of file rtc_18xx_43xx.h.

__IO uint32_t CIIR

Counter Increment Interrupt Register

Definition at line 80 of file rtc_18xx_43xx.h.

__I uint32_t CTIME[3]

Consolidated Time Register 0,1,2

Definition at line 82 of file rtc_18xx_43xx.h.

__IO uint32_t ERCONTROL

Event Monitor/Recorder Control register

Definition at line 89 of file rtc_18xx_43xx.h.

__I uint32_t ERCOUNTERS

Event Monitor/Recorder Counters register

Definition at line 90 of file rtc_18xx_43xx.h.

__I uint32_t ERFIRSTSTAMP[RTC_EV_CHANNEL_NUM]

Event Monitor/Recorder First Stamp registers

Definition at line 92 of file rtc_18xx_43xx.h.

__I uint32_t ERLASTSTAMP[RTC_EV_CHANNEL_NUM]

Event Monitor/Recorder Last Stamp registers

Definition at line 94 of file rtc_18xx_43xx.h.

__IO uint32_t ERSTATUS

Event Monitor/Recorder Status register

Definition at line 88 of file rtc_18xx_43xx.h.

__IO uint32_t ILR

< RTC Structure Interrupt Location Register

Definition at line 77 of file rtc_18xx_43xx.h.

__I uint32_t RESERVED0

Definition at line 78 of file rtc_18xx_43xx.h.

__I uint32_t RESERVED1[7]

Definition at line 85 of file rtc_18xx_43xx.h.

__I uint32_t RESERVED2

Definition at line 91 of file rtc_18xx_43xx.h.

__I uint32_t RESERVED3

Definition at line 93 of file rtc_18xx_43xx.h.

__IO uint32_t TIME[RTC_TIMETYPE_LAST]

Timer field registers

Definition at line 83 of file rtc_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/rtc_18xx_43xx.h